Index: kernel/content/function_definition.php
===================================================================
--- kernel/content/function_definition.php	(revision 20539)
+++ kernel/content/function_definition.php	(working copy)
@@ -33,8 +33,7 @@
 
 $FunctionList['object'] = array( 'name' => 'object',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchContentObject' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'object_id',
@@ -42,8 +41,7 @@
                                                                'required' => true ) ) );
 $FunctionList['version'] = array( 'name' => 'version',
                                   'operation_types' => array( 'read' ),
-                                  'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                          'class' => 'eZContentFunctionCollection',
+                                  'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                           'method' => 'fetchContentVersion' ),
                                   'parameter_type' => 'standard',
                                   'parameters' => array( array( 'name' => 'object_id',
@@ -55,8 +53,7 @@
                                                                 'required' => true ) ) );
 $FunctionList['node'] = array( 'name' => 'node',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                       'class' => 'eZContentFunctionCollection',
+                               'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                        'method' => 'fetchContentNode' ),
                                'parameter_type' => 'standard',
                                'parameters' => array( array( 'name' => 'node_id',
@@ -69,8 +66,7 @@
                                                              'default' => false ) ) );
 $FunctionList['locale_list'] = array( 'name' => 'locale_list',
                                       'operation_types' => array( 'read' ),
-                                      'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                              'class' => 'eZContentFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                               'method' => 'fetchLocaleList' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'with_variations',
@@ -79,8 +75,7 @@
                                                                     'default' => true ) ) );
 $FunctionList['locale'] = array( 'name' => 'locale',
                                       'operation_types' => array( 'read' ),
-                                      'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                              'class' => 'eZContentFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                               'method' => 'fetchLocale' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'locale_code',
@@ -90,29 +85,25 @@
 
 $FunctionList['prioritized_languages'] = array( 'name' => 'prioritized_languages',
                                                 'operation_types' => array( 'read' ),
-                                                'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                        'class' => 'eZContentFunctionCollection',
+                                                'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                         'method' => 'fetchPrioritizedLanguages' ),
                                                 'parameter_type' => 'standard',
                                                 'parameters' => array( ) );
 $FunctionList['prioritized_language_codes'] = array( 'name' => 'prioritized_language_codes',
                                                      'operation_types' => array( 'read' ),
-                                                     'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                             'class' => 'eZContentFunctionCollection',
+                                                     'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                              'method' => 'fetchPrioritizedLanguageCodes' ),
                                                      'parameter_type' => 'standard',
                                                      'parameters' => array( ) );
 $FunctionList['translation_list'] = array( 'name' => 'translation_list',
                                            'operation_types' => array( 'read' ),
-                                           'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                   'class' => 'eZContentFunctionCollection',
+                                           'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                    'method' => 'fetchTranslationList' ),
                                            'parameter_type' => 'standard',
                                            'parameters' => array( ) );
 $FunctionList['non_translation_list'] = array( 'name' => 'object',
                                                'operation_types' => array( 'read' ),
-                                               'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                       'class' => 'eZContentFunctionCollection',
+                                               'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                        'method' => 'fetchNonTranslationList' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array( array( 'name' => 'object_id',
@@ -123,8 +114,7 @@
                                                                              'required' => true ) ) );
 $FunctionList['class'] = array( 'name' => 'object',
                                 'operation_types' => array( 'read' ),
-                                'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                        'class' => 'eZContentFunctionCollection',
+                                'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                         'method' => 'fetchClass' ),
                                 'parameter_type' => 'standard',
                                 'parameters' => array( array( 'name' => 'class_id',
@@ -132,8 +122,7 @@
                                                               'required' => true ) ) );
 $FunctionList['class_attribute_list'] = array( 'name' => 'object',
                                                'operation_types' => array( 'read' ),
-                                               'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                       'class' => 'eZContentFunctionCollection',
+                                               'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                        'method' => 'fetchClassAttributeList' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array( array( 'name' => 'class_id',
@@ -145,8 +134,7 @@
                                                                              'default' => 0 ) ) );
 $FunctionList['class_attribute'] = array( 'name' => 'object',
                                           'operation_types' => array( 'read' ),
-                                          'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                  'class' => 'eZContentFunctionCollection',
+                                          'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                   'method' => 'fetchClassAttribute' ),
                                           'parameter_type' => 'standard',
                                           'parameters' => array( array( 'name' => 'attribute_id',
@@ -158,8 +146,7 @@
                                                                         'default' => 0 ) ) );
 $FunctionList['calendar'] = array( 'name' => 'calendar',
                                    'operation_types' => array( 'read' ),
-                                   'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                           'class' => 'eZContentFunctionCollection',
+                                   'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                            'method' => 'calendar' ),
                                    'parameter_type' => 'standard',
                                    'parameters' => array( array( 'name' => 'parent_node_id',
@@ -220,8 +207,7 @@
 
 $FunctionList['list'] = array( 'name' => 'tree',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                       'class' => 'eZContentFunctionCollection',
+                               'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                        'method' => 'fetchObjectTree' ),
                                'parameter_type' => 'standard',
                                'parameters' => array( array( 'name' => 'parent_node_id',
@@ -305,8 +291,7 @@
                                                              'default' => true ) ) );
 $FunctionList['list_count'] = array( 'name' => 'list_count',
                                      'operation_types' => array( 'read' ),
-                                     'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                             'class' => 'eZContentFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                              'method' => 'fetchObjectTreeCount' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array( array( 'name' => 'parent_node_id',
@@ -362,7 +347,7 @@
                                                                    'default' => null ) ) );
 $FunctionList['tree'] = array( 'name' => 'tree',
                                'operation_types' => array( 'read' ),
-                               'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
+                               'call_method' => array( 
                                                        'class' => 'eZContentFunctionCollection',
                                                        'method' => 'fetchObjectTree' ),
                                'parameter_type' => 'standard',
@@ -448,8 +433,7 @@
 
 $FunctionList['tree_count'] = array( 'name' => 'tree_count',
                                      'operation_types' => array( 'read' ),
-                                     'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                             'class' => 'eZContentFunctionCollection',
+                                     'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                              'method' => 'fetchObjectTreeCount' ),
                                      'parameter_type' => 'standard',
                                      'parameters' => array( array( 'name' => 'parent_node_id',
@@ -506,8 +490,7 @@
 
 $FunctionList['search'] = array( 'name' => 'search',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchContentSearch' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( array( 'name' => 'text',
@@ -560,8 +543,7 @@
 
 $FunctionList['trash_count'] = array( 'name' => 'trash_count',
                                       'operation_types' => array( 'read' ),
-                                      'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                              'class' => 'eZContentFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                               'method' => 'fetchTrashObjectCount' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'objectname_filter',
@@ -571,8 +553,7 @@
 
 $FunctionList['trash_object_list'] = array( 'name' => 'trash_object_list',
                                             'operation_types' => array( 'read' ),
-                                            'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                    'class' => 'eZContentFunctionCollection',
+                                            'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                     'method' => 'fetchTrashObjectList' ),
                                             'parameter_type' => 'standard',
                                             'parameters' => array( array( 'name' => 'offset',
@@ -590,16 +571,14 @@
 
 $FunctionList['draft_count'] = array( 'name' => 'draft_count',
                                       'operation_types' => array( 'read' ),
-                                      'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                              'class' => 'eZContentFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                               'method' => 'fetchDraftVersionCount' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array(  ) );
 
 $FunctionList['draft_version_list'] = array( 'name' => 'draft_version_list',
                                              'operation_types' => array( 'read' ),
-                                             'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                     'class' => 'eZContentFunctionCollection',
+                                             'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                      'method' => 'fetchDraftVersionList' ),
                                              'parameter_type' => 'standard',
                                              'parameters' => array( array( 'name' => 'offset',
@@ -613,16 +592,14 @@
 
 $FunctionList['pending_count'] = array( 'name' => 'pending_count',
                                         'operation_types' => array( 'read' ),
-                                        'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                'class' => 'eZContentFunctionCollection',
+                                        'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                 'method' => 'fetchPendingCount' ),
                                         'parameter_type' => 'standard',
                                         'parameters' => array(  ) );
 
 $FunctionList['pending_list'] = array( 'name' => 'pending_list',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                               'class' => 'eZContentFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                'method' => 'fetchPendingList' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( array( 'name' => 'offset',
@@ -636,8 +613,7 @@
 
 $FunctionList['version_count'] = array( 'name' => 'version_count',
                                       'operation_types' => array( 'read' ),
-                                      'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                              'class' => 'eZContentFunctionCollection',
+                                      'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                               'method' => 'fetchVersionCount' ),
                                       'parameter_type' => 'standard',
                                       'parameters' => array( array( 'name' => 'contentobject',
@@ -646,8 +622,7 @@
 
 $FunctionList['version_list'] = array( 'name' => 'version_list',
                                              'operation_types' => array( 'read' ),
-                                             'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                     'class' => 'eZContentFunctionCollection',
+                                             'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                      'method' => 'fetchVersionList' ),
                                              'parameter_type' => 'standard',
                                              'parameters' => array( array( 'name' => 'contentobject',
@@ -666,8 +641,7 @@
 
 $FunctionList['can_instantiate_class_list'] = array( 'name' => 'can_instantiate_class_list',
                                                      'operation_types' => array( 'read' ),
-                                                     'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                             'class' => 'eZContentFunctionCollection',
+                                                     'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                              'method' => 'canInstantiateClassList' ),
                                                      'parameter_type' => 'standard',
                                                      'parameters' => array( array( 'name' => 'group_id',
@@ -693,8 +667,7 @@
 
 $FunctionList['can_instantiate_classes'] = array( 'name' => 'can_instantiate_classes',
                                                   'operation_types' => array( 'read' ),
-                                                  'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                          'class' => 'eZContentFunctionCollection',
+                                                  'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                           'method' => 'canInstantiateClasses' ),
                                                   'parameter_type' => 'standard',
                                                   'parameters' => array( array( 'name' => 'parent_node',
@@ -703,8 +676,7 @@
                                                                                 'default' => 0 ) ) );
 $FunctionList['contentobject_attributes'] = array( 'name' => 'contentobject_attributes',
                                                    'operation_types' => array( 'read' ),
-                                                   'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                           'class' => 'eZContentFunctionCollection',
+                                                   'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                            'method' => 'contentobjectAttributes' ),
                                                    'parameter_type' => 'standard',
                                                    'parameters' => array( array( 'name' => 'version',
@@ -718,8 +690,7 @@
 
 $FunctionList['bookmarks'] = array( 'name' => 'bookmarks',
                                     'operation_types' => array( 'read' ),
-                                    'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                            'class' => 'eZContentFunctionCollection',
+                                    'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                             'method' => 'fetchBookmarks' ),
                                     'parameter_type' => 'standard',
                                     'parameters' => array( array( 'name' => 'offset',
@@ -733,24 +704,21 @@
 
 $FunctionList['recent'] = array( 'name' => 'recent',
                                  'operation_types' => array( 'read' ),
-                                 'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                         'class' => 'eZContentFunctionCollection',
+                                 'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                          'method' => 'fetchRecent' ),
                                  'parameter_type' => 'standard',
                                  'parameters' => array( ) );
 
 $FunctionList['section_list'] = array( 'name' => 'section_list',
                                        'operation_types' => array( 'read' ),
-                                       'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                               'class' => 'eZContentFunctionCollection',
+                                       'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                'method' => 'fetchSectionList' ),
                                        'parameter_type' => 'standard',
                                        'parameters' => array( ) );
 
 $FunctionList['tipafriend_top_list'] = array( 'name' => 'tipafriend_top_list',
                                               'operation_types' => array( 'read' ),
-                                              'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                      'class' => 'eZContentFunctionCollection',
+                                              'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                       'method' => 'fetchTipafriendTopList' ),
                                               'parameter_type' => 'standard',
                                               'parameters' => array( array( 'name' => 'offset',
@@ -784,8 +752,7 @@
 
 $FunctionList['view_top_list'] = array( 'name' => 'view_top_list',
                                         'operation_types' => array( 'read' ),
-                                        'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                'class' => 'eZContentFunctionCollection',
+                                        'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                 'method' => 'fetchMostViewedTopList' ),
                                         'parameter_type' => 'standard',
                                         'parameters' => array( array( 'name' => 'class_id',
@@ -807,8 +774,7 @@
 
 $FunctionList['collected_info_count'] = array( 'name' => 'collected_info_count',
                                                'operation_types' => array( 'read' ),
-                                               'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                       'class' => 'eZContentFunctionCollection',
+                                               'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                        'method' => 'fetchCollectedInfoCount' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array( array( 'name' => 'object_attribute_id',
@@ -834,8 +800,7 @@
 
 $FunctionList['collected_info_count_list'] = array( 'name' => 'collected_info_count_list',
                                                'operation_types' => array( 'read' ),
-                                               'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                       'class' => 'eZContentFunctionCollection',
+                                               'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                        'method' => 'fetchCollectedInfoCountList' ),
                                                'parameter_type' => 'standard',
                                                'parameters' => array( array( 'name' => 'object_attribute_id',
@@ -846,8 +811,7 @@
 
 $FunctionList['collected_info_collection'] = array( 'name' => 'collected_info_collection',
                                                     'operation_types' => array( 'read' ),
-                                                    'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                            'class' => 'eZContentFunctionCollection',
+                                                    'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                             'method' => 'fetchCollectedInfoCollection' ),
                                                     'parameter_type' => 'standard',
                                                     'parameters' => array( array( 'name' => 'collection_id',
@@ -861,8 +825,7 @@
 
 $FunctionList['collected_info_list'] = array( 'name' => 'collected_info_list',
                                                     'operation_types' => array( 'read' ),
-                                                    'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                            'class' => 'eZContentFunctionCollection',
+                                                    'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                             'method' => 'fetchCollectionsList' ),
                                                     'parameter_type' => 'standard',
                                                     'parameters' => array( array( 'name' => 'object_id',
@@ -892,8 +855,7 @@
 
 $FunctionList['object_by_attribute'] = array( 'name' => 'object_by_attribute',
                                               'operation_types' => array( 'read' ),
-                                              'call_method' => array( 'include_file' => 'kernel/content/ezcontentfunctioncollection.php',
-                                                                      'class' => 'eZContentFunctionCollection',
+                                              'call_method' => array( 'class' => 'eZContentFunctionCollection',
                                                                       'method' => 'fetchObjectByAttribute' ),
                                               'parameter_type' => 'standard',
                                               'parameters' => array( array( 'name' => 'identifier',
